Get receipt promotion details
curl --request GET \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"primaryText": "<string>",
"secondaryText": "<string>",
"imageUrl": "<string>",
"posStatus": "Accepted"
}
}Receipt Promotions
Get receipt promotion details
Retrieve promotion details on the receipt for the specified POS system and location.
GET
/
pos
/
{posSystemId}
/
receipt
/
promotion
/
location
/
{posLocationId}
Get receipt promotion details
curl --request GET \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api-demo.clearline.me/pos/{posSystemId}/receipt/promotion/location/{posLocationId}")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"primaryText": "<string>",
"secondaryText": "<string>",
"imageUrl": "<string>",
"posStatus": "Accepted"
}
}Authorizations
BearerAuthImplicitAuth
JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
Response
Success
Represent POS receipt promotion
Show child attributes
Show child attributes
⌘I